# class Byebug::WhereCommand

Show current backtrace.

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/where.rb, line 20
        def self.description
          <<-DESCRIPTION
            w[here]|bt|backtrace

            #{short_description}

            Print the entire stack frame. Each frame is numbered; the most recent
            frame is 0. A frame number can be referred to in the "frame" command.
            "up" and "down" add or subtract respectively to frame numbers shown.
            The position of the current frame is marked with -->. C-frames hang
            from their most immediate Ruby frame to indicate that they are not
            navigable.
          DESCRIPTION
        end

regexp() click to toggle source

    # File lib/byebug/commands/where.rb, line 16
    def self.regexp
      /^\s* (?:w(?:here)?|bt|backtrace) \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/where.rb, line 35
    def self.short_description
      "Displays the backtrace"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/where.rb, line 39
    def execute
      print_backtrace
    end

### Private Instance Methods

print_backtrace() click to toggle source

    # File lib/byebug/commands/where.rb, line 45
    def print_backtrace
      bt = prc("frame.line", (0...context.stack_size)) do |_, index|
        Frame.new(context, index).to_hash
      end

      print(bt)
    end